Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4068)
@@ -3383,11 +3381,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -3395,28 +3386,35 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
             case 8: {
-              Qux = input.ReadInt32();
-              break;
-            }
+                Qux = input.ReadInt32();
+                break;
+              }
             case 19: {
-              global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.Builder subBuilder = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.CreateBuilder();
-              if (HasComplexOptionType5) {
-                subBuilder.MergeFrom(ComplexOptionType5);
+                global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.Builder subBuilder = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.CreateBuilder();
+                if (HasComplexOptionType5) {
+                  subBuilder.MergeFrom(ComplexOptionType5);
+                }
+                input.ReadGroup(2, subBuilder, extensionRegistry);
+                ComplexOptionType5 = subBuilder.BuildPartial();
+                break;
               }
-              input.ReadGroup(2, subBuilder, extensionRegistry);
-              ComplexOptionType5 = subBuilder.BuildPartial();
-              break;
-            }
-          }
-        }
-      }
-      
-      
+          }
+        }
+      }
+
+
       public bool HasQux {
         get { return result.HasQux; }
@@ -3436,7 +3434,7 @@
         return this;
       }
-      
+
       public bool HasComplexOptionType5 {
-       get { return result.HasComplexOptionType5; }
+        get { return result.HasComplexOptionType5; }
       }
       public global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5 ComplexOptionType5 {
@@ -3460,5 +3458,5 @@
         if (result.HasComplexOptionType5 &&
             result.complexOptionType5_ != global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.DefaultInstance) {
-            result.complexOptionType5_ = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.CreateBuilder(result.complexOptionType5_).MergeFrom(value).BuildPartial();
+          result.complexOptionType5_ = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.CreateBuilder(result.complexOptionType5_).MergeFrom(value).BuildPartial();
         } else {
           result.complexOptionType5_ = value;
@@ -3477,5 +3475,5 @@
     }
   }
-  
+
   public sealed partial class ComplexOpt6 : pb::GeneratedMessage<ComplexOpt6, ComplexOpt6.Builder> {
     private static readonly ComplexOpt6 defaultInstance = new Builder().BuildPartial();
@@ -3483,21 +3481,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override ComplexOpt6 DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override ComplexOpt6 ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOpt6__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<ComplexOpt6, ComplexOpt6.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOpt6__FieldAccessorTable; }
     }
-    
+
     public const int XyzzyFieldNumber = 7593951;
     private bool hasXyzzy;
@@ -3509,5 +3507,5 @@
       get { return xyzzy_; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -3515,5 +3513,5 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
@@ -3523,5 +3521,5 @@
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -3529,5 +3527,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         if (HasXyzzy) {
@@ -3539,22 +3537,22 @@
       }
     }
-    
+
     public static ComplexOpt6 ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOpt6 ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOpt6 ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOpt6 ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOpt6 ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOpt6 ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static ComplexOpt6 ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -3565,8 +3563,8 @@
     }
     public static ComplexOpt6 ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOpt6 ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -3574,36 +3572,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(ComplexOpt6 prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<ComplexOpt6, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       ComplexOpt6 result = new ComplexOpt6();
-      
+
       protected override ComplexOpt6 MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new ComplexOpt6();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOpt6.Descriptor; }
       }
-      
+
       public override ComplexOpt6 DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOpt6.DefaultInstance; }
       }
-      
+
       public override ComplexOpt6 BuildPartial() {
         if (result == null) {
@@ -3614,8 +3612,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is ComplexOpt6) {
-          return MergeFrom((ComplexOpt6) other);
+          return MergeFrom((ComplexOpt6)other);
         } else {
           base.MergeFrom(other);
@@ -3623,5 +3621,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(ComplexOpt6 other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.ComplexOpt6.DefaultInstance) return this;
@@ -3632,9 +3630,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -3643,11 +3641,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -3655,19 +3646,26 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
             case 60751608: {
-              Xyzzy = input.ReadInt32();
-              break;
-            }
-          }
-        }
-      }
-      
-      
+                Xyzzy = input.ReadInt32();
+                break;
+              }
+          }
+        }
+      }
+
+
       public bool HasXyzzy {
         get { return result.HasXyzzy; }
@@ -3692,5 +3690,5 @@
     }
   }
-  
+
   public sealed partial class VariousComplexOptions : pb::GeneratedMessage<VariousComplexOptions, VariousComplexOptions.Builder> {
     private static readonly VariousComplexOptions defaultInstance = new Builder().BuildPartial();
@@ -3698,21 +3696,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override VariousComplexOptions DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override VariousComplexOptions ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_VariousComplexOptions__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<VariousComplexOptions, VariousComplexOptions.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_VariousComplexOptions__FieldAccessorTable; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -3720,10 +3718,10 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -3731,5 +3729,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         size += UnknownFields.SerializedSize;
@@ -3738,22 +3736,22 @@
       }
     }
-    
+
     public static VariousComplexOptions ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static VariousComplexOptions ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static VariousComplexOptions ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static VariousComplexOptions ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static VariousComplexOptions ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static VariousComplexOptions ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static VariousComplexOptions ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -3764,8 +3762,8 @@
     }
     public static VariousComplexOptions ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static VariousComplexOptions ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -3773,36 +3771,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(VariousComplexOptions prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<VariousComplexOptions, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       VariousComplexOptions result = new VariousComplexOptions();
-      
+
       protected override VariousComplexOptions MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new VariousComplexOptions();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.VariousComplexOptions.Descriptor; }
       }
-      
+
       public override VariousComplexOptions DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.VariousComplexOptions.DefaultInstance; }
       }
-      
+
       public override VariousComplexOptions BuildPartial() {
         if (result == null) {
@@ -3813,8 +3811,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is VariousComplexOptions) {
-          return MergeFrom((VariousComplexOptions) other);
+          return MergeFrom((VariousComplexOptions)other);
         } else {
           base.MergeFrom(other);
@@ -3822,5 +3820,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(VariousComplexOptions other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.VariousComplexOptions.DefaultInstance) return this;
@@ -3828,9 +3826,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -3839,11 +3837,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -3851,14 +3842,21 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
-          }
-        }
-      }
-      
+          }
+        }
+      }
+
     }
     static VariousComplexOptions() {
@@ -3866,7 +3864,7 @@
     }
   }
-  
+
   #endregion
-  
+
   #region Services
   public abstract class TestServiceWithCustomOptions : pb::IService {
@@ -3875,5 +3873,5 @@
         global::Google.ProtocolBuffers.TestProtos.CustomOptionFooRequest request,
         global::System.Action<global::Google.ProtocolBuffers.TestProtos.CustomOptionFooResponse> done);
-    
+
     public static pbd::ServiceDescriptor Descriptor {
       get { return UnitTestCustomOptionsProtoFile.Descriptor.Services[0]; }
@@ -3882,5 +3880,5 @@
       get { return Descriptor; }
     }
-    
+
     public void CallMethod(
         pbd::MethodDescriptor method,
@@ -3892,7 +3890,7 @@
             "Service.CallMethod() given method descriptor for wrong service type.");
       }
-      switch(method.Index) {
+      switch (method.Index) {
         case 0:
-          this.Foo(controller, (global::Google.ProtocolBuffers.TestProtos.CustomOptionFooRequest) request,
+          this.Foo(controller, (global::Google.ProtocolBuffers.TestProtos.CustomOptionFooRequest)request,
               pb::RpcUtil.SpecializeCallback<global::Google.ProtocolBuffers.TestProtos.CustomOptionFooResponse>(
               done));
@@ -3902,5 +3900,5 @@
       }
     }
-    
+
     public pb::IMessage GetRequestPrototype(pbd::MethodDescriptor method) {
       if (method.Service != Descriptor) {
@@ -3908,5 +3906,5 @@
             "Service.GetRequestPrototype() given method descriptor for wrong service type.");
       }
-      switch(method.Index) {
+      switch (method.Index) {
         case 0:
           return global::Google.ProtocolBuffers.TestProtos.CustomOptionFooRequest.DefaultInstance;
@@ -3915,5 +3913,5 @@
       }
     }
-    
+
     public pb::IMessage GetResponsePrototype(pbd::MethodDescriptor method) {
       if (method.Service != Descriptor) {
@@ -3921,5 +3919,5 @@
             "Service.GetResponsePrototype() given method descriptor for wrong service type.");
       }
-      switch(method.Index) {
+      switch (method.Index) {
         case 0:
           return global::Google.ProtocolBuffers.TestProtos.CustomOptionFooResponse.DefaultInstance;
@@ -3928,20 +3926,20 @@
       }
     }
-    
+
     public static Stub CreateStub(pb::IRpcChannel channel) {
       return new Stub(channel);
     }
-    
+
     public class Stub : global::Google.ProtocolBuffers.TestProtos.TestServiceWithCustomOptions {
       internal Stub(pb::IRpcChannel channel) {
         this.channel = channel;
       }
-      
+
       private readonly pb::IRpcChannel channel;
-      
+
       public pb::IRpcChannel Channel {
         get { return channel; }
       }
-      
+
       public override void Foo(
           pb::IRpcController controller,
@@ -3955,4 +3953,4 @@
   }
   #endregion
-  
+
 }
